Subject: Re: bug#74277: 29.4; rust-ts-mode doesn't highlight some function calls

From: Trevor Arjeski <[email-masked]>
Date: Tue, 19 Nov 2024 23:48:24 +0300

Randy Taylor <[email-masked]> writes:

Hi all, randomly started looking into this...

> This was discussed briefly awhile back, but it's basically going to
> require special handling because macro invocations don't give us the
> usual dead simple way of doing it.

Is this due to lack of support for injections.scm in Emacs' treesitter
implementation?
http://tree-sitter.github.io/tree-sitter/syntax-highlighting#language-injection

Can't seem to find any traces of that in the current source.

>From inspecting this line of code in Neovim, it appears that the
injection on macro_invocation is what forces parsing the macro params as
another source_file.